# $Revision: 1.40.2.1 $, $Date: 2006/05/15 13:31:24 $
# TODO:
# - perl-Gtk2 shouldn't depend on perl-devel (ExtUtils::MakeMaker). create -devel package?
# - review `Unrecognized argument in LIBS ignored: '-pthread'' (from buildlog)
#
# Conditional build:
%bcond_with	tests	# perform "make test" (requires X server)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Gtk2
Summary:	Perl interface to the 2.x series of the Gimp Toolkit library
Summary(pl):	Interfejs perlowy do wersji 2.x biblioteki Gimp Toolkit
Name:		perl-Gtk2
Version:	1.121
Release:	1
License:	LGPL v2.1+
Group:		Development/Languages/Perl
Source0:	http://dl.sourceforge.net/gtk2-perl/%{pdir}-%{version}.tar.gz
# Source0-md5:	90bd58334c49a4db9d812537de5b1620
URL:		http://gtk2-perl.sf.net/
BuildRequires:	gtk+2-devel >= 1:2.0.0
BuildRequires:	perl-ExtUtils-Depends >= 0.201
BuildRequires:	perl-ExtUtils-PkgConfig >= 1.06
BuildRequires:	perl-Glib >= 1.120
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.192
Requires:	gtk+2 >= 2.0.0
Requires:	perl-Glib >= 1.120
Obsoletes:	perl-Gnome2-common
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Gtk2 module allows a perl developer to use the GTK+ graphical user
interface library.

%description -l pl
Modu Gtk2 pozwala programistom perlowym na uywanie biblioteki
interfejsu graficznego GTK+.

%prep
%setup -q -n %{pdir}-%{version}

# "use Gtk2 '-init'" requires X display; fortunately Gtk2::Stock->lookup
# works without this
%{__perl} -pi -e "s/'-init'//" podifystockitems.pl

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{perl_vendorarch}/{auto/Gnome2,Gnome2} \
	$RPM_BUILD_ROOT%{perl_vendorlib}/Gtk2/Ex

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/%{pdir}/{*,*/*,*/*/*}.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%{perl_vendorarch}/Gtk2.pm
%dir %{perl_vendorarch}/Gtk2
%{perl_vendorarch}/Gtk2/*.pm
%dir %{perl_vendorarch}/Gtk2/Gdk
%{perl_vendorarch}/Gtk2/Gdk/*.pm
%{perl_vendorarch}/Gtk2/Install
%dir %{perl_vendorarch}/Gnome2
%dir %{perl_vendorarch}/auto/Gtk2
%{perl_vendorarch}/auto/Gtk2/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Gtk2/*.so
%dir %{perl_vendorarch}/auto/Gnome2
%dir %{perl_vendorlib}/Gtk2
%dir %{perl_vendorlib}/Gtk2/Ex
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Gtk2.spec,v $
Revision 1.40.2.1  2006/05/15 13:31:24  baggins
- merged from HEAD

Revision 1.46  2006/04/16 13:52:30  freetz
- 1.121

Revision 1.45  2006/03/14 14:04:39  freetz
- 1.120 (GNOME2.14)

Revision 1.44  2006/02/15 07:33:12  freetz
- 1.104

Revision 1.43  2005/11/18 17:46:56  twittner
- added %%{perl_vendorlib}/Gtk2/Ex directories for perl-Gtk2-Ex* packeges
  (suggested by qboosh)
- added to TODO warning from buildlog for reviewing:
  Unrecognized argument in LIBS ignored: '-pthread'
- rel.2

Revision 1.42  2005/11/03 20:15:43  glen
- unify sf url, and other things that adapter felt neccessary

Revision 1.41  2005/10/08 12:08:42  freetz
- 1.101

Revision 1.40  2005/09/09 13:05:51  freetz
- 1.100 (2.12.0)

Revision 1.39  2005/08/08 14:45:54  glen
- i believe our current %prep already sets C locale, add BR for that
- TODO for -devel split suggestion

Revision 1.38  2005/04/23 07:57:30  freetz
- 1.081, switched to working sf mirror

Revision 1.37  2005/03/24 22:43:50  freetz
- 1.080, more .pods killed

Revision 1.36  2004/11/27 18:52:08  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.35  2004/11/03 22:30:24  paladine
- formatting

Revision 1.34  2004/11/03 13:13:12  paladine
- spaces->tabs
- formatting

Revision 1.33  2004/11/03 00:44:52  ankry
- get rid of .pod documentation

Revision 1.32  2004/10/25 08:49:34  paladine
- [Gg]tk+ -> GTK+

Revision 1.31  2004/10/11 20:39:30  freetz
- 1.061

Revision 1.30  2004/09/17 04:31:59  freetz
- 1.060

Revision 1.29  2004/07/25 21:49:34  freetz
- 1.043

Revision 1.28  2004/06/05 20:26:53  radek
- massive: unfold macros in name/summary & other unifications

Revision 1.27  2004/04/21 08:40:39  ankry
- license fixes/unification

Revision 1.26  2004/04/16 21:59:31  grzegol
- updated to 1.042

Revision 1.25  2004/04/14 16:45:10  ankry
- cosmetics

Revision 1.24  2004/03/24 16:54:41  freetz
- merged DEVEL branch, up to stable 1.040 (1.04x series)

Revision 1.23  2004/02/08 17:13:25  misi3k
- down to 1.023

Revision 1.21  2004/01/30 10:18:38  freetz
- up to 1.023

Revision 1.20.2.8  2004/03/18 23:37:33  freetz
- one point up (beta stage) 1.039

Revision 1.20.2.7  2004/03/11 12:26:04  freetz
- 1.038

Revision 1.20.2.6  2004/02/29 23:07:31  freetz
- 1.037

Revision 1.20.2.5  2004/02/21 14:00:42  freetz
- 1.036

Revision 1.20.2.4  2004/02/13 20:30:00  freetz
- 1.035

Revision 1.20.2.3  2004/02/12 22:43:02  freetz
- 1.034

Revision 1.20.2.2  2004/01/30 16:09:19  freetz
- 1.033

Revision 1.20.2.1  2004/01/16 15:46:27  freetz
- up to 1.030, moved to DEVEL branch
- more docs

Revision 1.20  2004/01/09 15:34:45  freetz
- 1.022

Revision 1.19  2004/01/07 16:18:05  freetz
- 1.021

Revision 1.18  2003/11/30 23:11:51  qboosh
- fixed build w/o X display and manuals language

Revision 1.17  2003/11/30 22:06:55  freetz
- typo

Revision 1.16  2003/11/30 22:04:58  freetz
- R gtk+2 >= 2.0.0 , perl-Glib >= 1.013 (thx qboosh)

Revision 1.15  2003/11/30 18:57:02  freetz
- fixed changlog entry (that was done by qboosh, not me)

Revision 1.14  2003/11/30 18:52:08  freetz
- 1.013
- BR/R cleanups

Revision 1.13  2003/11/29 09:48:56  qboosh
- added BR: perl-ExtUtils-{Depends,PkgConfig}, removed pods and duplicate file entries

Revision 1.12  2003/11/28 15:23:38  qboosh
- fixed duplicate dir, Obsoletes: perl-Gnome2-common

Revision 1.11  2003/11/28 15:20:09  freetz
- up to 1.012
- added perl-Gnome2 common dirs

Revision 1.10  2003/10/17 19:12:20  qboosh
- don't include .pods, new-style bcond

Revision 1.9  2003/10/10 22:12:15  freetz
- up to final 1.00

Revision 1.8  2003/09/15 11:43:18  adamg
- updated to 1.00rc1

Revision 1.7  2003/08/30 18:08:52  freetz
- one point more: 0.96

Revision 1.6  2003/08/23 22:04:10  freetz
- up to 0.95

Revision 1.5  2003/08/02 22:32:04  krzak
- up to 0.92

Revision 1.4  2003/08/01 14:36:36  qboosh
- finished deps, *.so perms

Revision 1.3  2003/07/31 22:20:10  qboosh
- pl, tests off by default (according to note about requiring X server)

Revision 1.2  2003/07/25 21:21:14  freetz
- up to 0.91

Revision 1.1  2003/07/25 15:52:41  freetz
- initial release
